JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes
juce_OSCReceiver.h File Reference

## Classes
class | OSCReceiver
| A class for receiving OSC data. More...
struct | OSCReceiver::MessageLoopCallback
| Use this struct as the template parameter for Listener and ListenerWithOSCAddress to receive incoming OSC data on the message thread. More...
struct | OSCReceiver::RealtimeCallback
| Use this struct as the template parameter for Listener and ListenerWithOSCAddress to receive incoming OSC data immediately after it arrives, called directly on the network thread that listens to incoming OSC traffic. More...
class | OSCReceiver::Listener< CallbackType >
| A class for receiving OSC data from an OSCReceiver. More...
class | OSCReceiver::ListenerWithOSCAddress< CallbackType >
| A class for receiving only those OSC messages from an OSCReceiver that match a given OSC address. More...